Description

¢ Detailed explanation
¢ Including commands of megacli
¢ Including motivation

Disk handling

Our servers are using Perc H700 or H800 disk controllers. The tool megacli can be used to manage them.
Handling foreign configuration

When plugging a disk into a server that was configured / used in a different server before, we need to clear the previous
configuration.

Listing all known foreign configuration using megacli -CfgForeign -Scan -aALL.
Remove/clear the foreign configuration using

# for instance -L5 -a0 or -L2 -al
megacli -DiscardPreservedCache -L<slot-or-ID> -a<Controller>

Removal of a disk

If a (dead or intact) disk is being removed from the system, the system will HANG on the next reboot, complaining about it missing.
For that reason AFTER removing a disk, we need to "clear the cache":

# Get list of caches that need to be cleared
megacli —-GetPreservedCachelist —-aALL

# Clear cache: -L0O -al
megacli -DiscardPreservedCache -L<??> -a<controller>

How to move an OSD (Disk, SSD) to another server

Use ceph-osd-stop-disable from ungleich tools to stop / disable the OSD
Clear the raid controller information
Insert disk into new host
Clear the foreign configuration (megacli)
[add it to the system with megacli]
OSD should automatically come up afterwards
o Check using ceph osd tree

History

#1 - 10/17/2018 01:26 PM - Nico Schottelius
- Description updated

- Status changed from New to In Progress
#2 - 10/17/2018 01:27 PM - Nico Schottelius

- Description updated

#3 - 10/17/2018 02:07 PM - Nico Schottelius
- Subject changed from Create a howto: how we maintain our ceph cluster(s) to Create a howto: how we maintain our disks and ceph cluster(s)

- Description updated

#4 - 10/17/2018 02:10 PM - Nico Schottelius

- Description updated

#5 - 10/17/2018 02:10 PM - Nico Schottelius

- Description updated

#7 - 06/24/2019 05:49 PM - Mirjana Rupar

Samuel, what is the status of this task now, please?

#8 - 06/27/2019 01:49 PM - Samuel Hailu

This is not a task, this Wiki and it is related to my command-book which belongs to me.
But this this wiki has been used by @Roland Zweifel@Jin-Guk Kwon @auer

So it is more like open for everyone but not a task

it can be set to closed or progress or anything

#9 - 06/27/2019 04:46 PM - Nico Schottelius

- Status changed from In Progress to Rejected

redmine@ungleich.ch writes:
